org.glassfish.jersey.server.monitoring

## Enum ApplicationEvent.Type

- java.lang.Object
- - java.lang.Enum<ApplicationEvent.Type>
  - - org.glassfish.jersey.server.monitoring.ApplicationEvent.Type

All Implemented Interfaces:
  Serializable, Comparable<ApplicationEvent.Type>

Enclosing interface:
  ApplicationEvent

    public static enum ApplicationEvent.Type
    extends Enum<ApplicationEvent.Type>

The type of the event that identifies on which lifecycle change the event is triggered.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DESTROY_FINISHED` Application has been destroyed (stopped).
`INITIALIZATION_APP_FINISHED` Initialization of `jersey application` is finished but the server might not be started and ready yet to serve requests (this will be indicated by the `INITIALIZATION_FINISHED` event).
`INITIALIZATION_FINISHED` Initialization of the application has finished, server is started and application is ready to handle requests now.
`INITIALIZATION_START` Initialization of the application has started.
`RELOAD_FINISHED` The application reload is finished.

### Method Summary

All Methods Static Methods Concrete Methods
`static ApplicationEvent.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ApplicationEvent.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INITIALIZATION_START

    public static final ApplicationEvent.Type INITIALIZATION_START

Initialization of the application has started. In this point no all the event properties are initialized yet.

#### INITIALIZATION_APP_FINISHED

    public static final ApplicationEvent.Type INITIALIZATION_APP_FINISHED

Initialization of `jersey application` is finished but the server might not be started and ready yet to serve requests (this will be indicated by the `INITIALIZATION_FINISHED` event). This event indicates only that the environment is ready (all providers are registered, application is configured, etc.).

Since:
  2.5

#### INITIALIZATION_FINISHED

    public static final ApplicationEvent.Type INITIALIZATION_FINISHED

Initialization of the application has finished, server is started and application is ready to handle requests now.

#### DESTROY_FINISHED

    public static final ApplicationEvent.Type DESTROY_FINISHED

Application has been destroyed (stopped). In this point the application cannot process any new requests.

#### RELOAD_FINISHED

    public static final ApplicationEvent.Type RELOAD_FINISHED

The application reload is finished. The reload can be invoked by `Container.reload()` method. When this event is triggered the reload is completely finished, which means that the new application is initialized (appropriate events are called) and new reloaded application is ready to server requests.

### Method Detail

#### values

    public static ApplicationEvent.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ApplicationEvent.Type c : ApplicationEvent.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ApplicationEvent.Type valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null